<!DOCTYPE html>
<html lang="fr">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>station-component</title>
    <style>
        .card_container {
            position: relative;
            aspect-ratio: 5/2;
            height: 150px;
            background-color: burlywood;
            border-radius: 24px;
            transition: all 200ms cubic-bezier(0.165, 0.84, 0.44, 1);
        }

        .card_icon {
            position: absolute;
            font-size: 1.2rem;
            right: 0;
            top: -0.25rem;
            background-color: whitesmoke;
            border-radius: 50%;
            padding: 1px;
            cursor: pointer;
            transition: all 50ms linear;
        }

        .card_icon:hover{
            transform: scale(1.3) rotateZ(20deg);
;
        }

        .card_icon_open{
            transform: rotateZ(45deg);
            right: -0.25rem;
        }

    </style>
</head>

<body>
    <section id="cardContainer" class="card_container">
        <svg id="card_icon" class="card_icon card_icon_close" onclick="onCardClose()" xmlns="http://www.w3.org/2000/svg" height="1em"
            viewBox="0 0 512 512"><!--! Font Awesome Free 6.4.2 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2023 Fonticons, Inc. -->
            <path
                d="M256 48a208 208 0 1 1 0 416 208 208 0 1 1 0-416zm0 464A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM175 175c-9.4 9.4-9.4 24.6 0 33.9l47 47-47 47c-9.4 9.4-9.4 24.6 0 33.9s24.6 9.4 33.9 0l47-47 47 47c9.4 9.4 24.6 9.4 33.9 0s9.4-24.6 0-33.9l-47-47 47-47c9.4-9.4 9.4-24.6 0-33.9s-24.6-9.4-33.9 0l-47 47-47-47c-9.4-9.4-24.6-9.4-33.9 0z" />
        </svg>
    </section>
</body>
<script>
    let isClose = false;

    function onCardClose() {
        if (isClose)
            cardOpen()
        else
            cardClose()
    }

    function cardClose() {
        const cardContainer = document.getElementById("cardContainer");
        cardContainer.style.height = "24px";
        cardContainer.children.item(0).remove()
        const i = document.createElement("span");
        i.innerHTML = '<svg id="card_icon" class="card_icon card_icon_open" onclick="onCardClose()" xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 0 512 512"><!--! Font Awesome Free 6.4.2 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2023 Fonticons, Inc. --><path d="M256 48a208 208 0 1 1 0 416 208 208 0 1 1 0-416zm0 464A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM135.1 217.4c-4.5 4.2-7.1 10.1-7.1 16.3c0 12.3 10 22.3 22.3 22.3H208v96c0 17.7 14.3 32 32 32h32c17.7 0 32-14.3 32-32V256h57.7c12.3 0 22.3-10 22.3-22.3c0-6.2-2.6-12.1-7.1-16.3L269.8 117.5c-3.8-3.5-8.7-5.5-13.8-5.5s-10.1 2-13.8 5.5L135.1 217.4z"/></svg>'
        cardContainer.appendChild(i);
        isClose = true;
    }

    function cardOpen() {
        const cardContainer = document.getElementById("cardContainer");
        cardContainer.style.height = "150px";
        cardContainer.children.item(0).remove()
        const i = document.createElement("span");
        i.innerHTML = '<svg id="card_icon" class="card_icon card_icon_close" onclick="onCardClose()" xmlns="http://www.w3.org/2000/svg" height="1em"viewBox="0 0 512 512"><!--! Font Awesome Free 6.4.2 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2023 Fonticons, Inc. --><path d="M256 48a208 208 0 1 1 0 416 208 208 0 1 1 0-416zm0 464A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM175 175c-9.4 9.4-9.4 24.6 0 33.9l47 47-47 47c-9.4 9.4-9.4 24.6 0 33.9s24.6 9.4 33.9 0l47-47 47 47c9.4 9.4 24.6 9.4 33.9 0s9.4-24.6 0-33.9l-47-47 47-47c9.4-9.4 9.4-24.6 0-33.9s-24.6-9.4-33.9 0l-47 47-47-47c-9.4-9.4-24.6-9.4-33.9 0z" /></svg>'
        cardContainer.appendChild(i);
        isClose = false;
    }
</script>

</html>